edu.sc.seis.sod.subsetter.origin

## Class OriginAND

- java.lang.Object
- - edu.sc.seis.sod.subsetter.LogicalSubsetter
  - - edu.sc.seis.sod.subsetter.origin.EventLogicalSubsetter
    - - edu.sc.seis.sod.subsetter.origin.OriginAND

- All Implemented Interfaces:
    SodElement, OriginSubsetter, Subsetter

      public final class OriginAND
      extends EventLogicalSubsetter
      implements OriginSubsetter

  This subsetter is used to specify a sequence of OriginANDSubsetters. This subsetter is accepted only when all the subsetters forming the sequence are accepted.

        <originAND>
        <description>take any global 6.5 or better EQ</description>
            <magnitudeRange>
                <magType>mb</magType>
                <min>4.5</min>
                    </magnitudeRange>
            <eventArea>
                        <globalArea/>
                     </eventArea>
        </originAND>

                                 (or)

         <originAND>
            <description>take any 4.5 or better EQ in the southeast</description>
            <eventArea>
               <boxArea>
                <latitudeRange>
                    <min>28</min>
                    <max>38</max>
                </latitudeRange>
                <longitudeRange>
                    <min>-85</min>
                    <max>-75</max>
                </longitudeRange>
                   </boxArea>
            </eventArea>
            <magnitudeRange>
                <magType>mb</magType>
                <min>4.5</min>
            </magnitudeRange>
           </originAND>

                                (or)

            <originAND>
                     <originAND>
                             <catalog><value>BIGQUAKE</value></catalog>
                             <catalog><value>BIGQUAKE</value></catalog>
                             <catalog><value>BIGQUAKE</value></catalog>
                     </originAND>
                     <originArrayAND>
                             <originNOT>
                                     <magnitudeRange>
                                             <magType>mb</magType>
                                             <min>7</min>
                                             <max>10</max>
                                     </magnitudeRange>
                             </originNOT>
                      </originArrayAND>

           </originAND>

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.origin.EventLogicalSubsetter

      `packages`

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.LogicalSubsetter

      `filterList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OriginAND(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringTree` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.event.EventAttrImpl eventAttr, edu.iris.Fissures.event.OriginImpl e)`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.origin.EventLogicalSubsetter

      `createSubsetter, getPackages, getSubsetter`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.LogicalSubsetter

      `getSubsetters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OriginAND

          public OriginAND(org.w3c.dom.Element config)
                    throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### accept

          public StringTree accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                   edu.iris.Fissures.event.EventAttrImpl eventAttr,
                                   edu.iris.Fissures.event.OriginImpl e)
                            throws java.lang.Exception

      Specified by:
        `accept` in interface `OriginSubsetter`
      Throws:
        `java.lang.Exception`